searchNodes=[{"doc":"Bio.Restriction houses the functions related to restriction enzyme data and activity. The primary function is digest . The digest function works by recursively breaking down a binary and checking to see if the pattern for a given enzyme exists within it. Restriction is also the namespace for Enzyme , where functions for accessing all the downloaded restriction enzyme data lives. Inside of Bio.Restriction.Enzyme there is a struct defined. Each method named in the lowercase fashion of the restriction enzymes returns an instance of this struct. The enzyme HpyUM037X is removed from the set, since it has two conflicting entries in the emboss data. If you can resolve this distinction, please feel free to either contribute a fix, or open an issue that explains how one would be implemented. TODO: Currently we don't support enzymes that have two cut sites TODO: Currently we don't support enzymes with ambiguous DNA recognition","ref":"Bio.Restriction.html","title":"Bio.Restriction","type":"module"},{"doc":"Digest takes in a string, anticipated to be a DNA sequence, and extracts the components of the string as a tuple that would remain after digestion with a given restriction enzyme. Examples iex&gt; Bio.Restriction . digest ( &quot;ttagatgacgtctcgattagagt&quot; , Bio.Restriction.Enzyme . bsmbi ) [ &quot;ttagatgacgtctcg&quot; , &quot;attagagt&quot; ] Currently this will work for enzymes that look back as well: iex&gt; Bio.Restriction . digest ( &quot;ggatgcagatcagacgaggattga&quot; , Bio.Restriction.Enzyme . bsp143i ) [ &quot;ggatgc&quot; , &quot;agatcagacgaggattga&quot; ] It does not yet work on enzymes that would produce digestions with three parts such as NmeDI, nor will it work on enzymes whose recognition pattern is defined using ambiguous DNA (even simply N).","ref":"Bio.Restriction.html#digest/2","title":"Bio.Restriction.digest/2","type":"function"},{"doc":"This module houses all of the functions for accessing a struct of restriction enzyme data, the %Bio.Restriction.Enzyme . All functions are the name of the enzyme in lowercase, where any - characters have been made _ . By example, &quot;BsmBI&quot; would be bsmbi or &quot;CviKI-1&quot; would become cviki_1 .","ref":"Bio.Restriction.Enzyme.html","title":"Bio.Restriction.Enzyme","type":"module"},{"doc":"The primary struct for interacting with restriction enzymes","ref":"Bio.Restriction.Enzyme.html#__struct__/0","title":"Bio.Restriction.Enzyme.__struct__/0","type":"function"},{"doc":"Get an enzyme struct by name, where name is either a binary or atom and case insensitive. Examples iex&gt; Bio.Restriction.Enzyme . get ( :CviRI ) % Bio.Restriction.Enzyme { blunt? : true , cut_1 : 2 , cut_2 : 2 , cut_3 : 0 , cut_4 : 0 , name : &quot;CviRI&quot; , pattern : &quot;tgca&quot; } iex&gt; Bio.Restriction.Enzyme . get ( &quot;CviRI&quot; ) % Bio.Restriction.Enzyme { blunt? : true , cut_1 : 2 , cut_2 : 2 , cut_3 : 0 , cut_4 : 0 , name : &quot;CviRI&quot; , pattern : &quot;tgca&quot; }","ref":"Bio.Restriction.Enzyme.html#get/1","title":"Bio.Restriction.Enzyme.get/1","type":"function"},{"doc":"This module houses the functions that act on sequences of things. ...which I will admit is a little bit broad. The scope of this module is perhaps too high. Regardless, it doesn't have much going on at the moment.","ref":"Bio.Sequence.html","title":"Bio.Sequence","type":"module"},{"doc":"Generate the complement to a given segment of DNA. Does not perform any sort of validation of the DNA. Example iex&gt; Bio.Sequence . complement ( &quot;gatacgt&quot; ) &quot;ctatgca&quot;","ref":"Bio.Sequence.html#complement/1","title":"Bio.Sequence.complement/1","type":"function"},{"doc":"Generate the reverse complement to a given segment of DNA. Does not perform any sort of validation of the DNA. Example iex&gt; Bio.Sequence . reverse_complement ( &quot;gatacgt&quot; ) &quot;acgtatc&quot;","ref":"Bio.Sequence.html#reverse_complement/1","title":"Bio.Sequence.reverse_complement/1","type":"function"},{"doc":"Mappings for various sequences. Essentially, if there is a way to map from one encoding to another for a given sequence, it will live here. Including: DNA RNA Amino Acids etc...","ref":"Bio.Sequence.Mapping.html","title":"Bio.Sequence.Mapping","type":"module"},{"doc":"Exposes ambiguous DNA codes according to IUPAC","ref":"Bio.Sequence.Mapping.html#ambiguous_dna/0","title":"Bio.Sequence.Mapping.ambiguous_dna/0","type":"function"},{"doc":"Mapping DNA nucleotides to their complements, where their complements are defined as a list of accepted nucleotides. Example iex&gt; Map . get ( Bio.Sequence.Mapping . dna_ambiguous , &quot;b&quot; ) [ &quot;c&quot; , &quot;g&quot; , &quot;t&quot; ]","ref":"Bio.Sequence.Mapping.html#dna_ambiguous/0","title":"Bio.Sequence.Mapping.dna_ambiguous/0","type":"function"},{"doc":"Mapping DNA nucleotides to their complements Example iex&gt; Map . get ( Bio.Sequence.Mapping . dna_complement , &quot;a&quot; ) &quot;t&quot;","ref":"Bio.Sequence.Mapping.html#dna_complement/0","title":"Bio.Sequence.Mapping.dna_complement/0","type":"function"},{"doc":"Mapping nucleotides to their chemical names Example iex&gt; Map . get ( Bio.Sequence.Mapping . nucleotide_to_name , &quot;a&quot; ) &quot;adenine&quot;","ref":"Bio.Sequence.Mapping.html#nucleotide_to_name/0","title":"Bio.Sequence.Mapping.nucleotide_to_name/0","type":"function"},{"doc":"Mapping RNA nucleotides to their complements Example iex&gt; Map . get ( Bio.Sequence.Mapping . rna_complement , &quot;u&quot; ) &quot;a&quot;","ref":"Bio.Sequence.Mapping.html#rna_complement/0","title":"Bio.Sequence.Mapping.rna_complement/0","type":"function"},{"doc":"Bio.Random.Dna will generate random sequences of DNA based on the given arguments: seed - RNG seed (defaults to RNG default seeding) algorithm - RNG algorithm (defaults to exsss) seq-count - integer number of sequences to generate (required) seq-size - integer size of sequence to generate (required) outfile - output filename or path (required)","ref":"Mix.Tasks.Bio.Random.Dna.html","title":"Mix.Tasks.Bio.Random.Dna","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Bio.Random.Dna.html#run/1","title":"Mix.Tasks.Bio.Random.Dna.run/1","type":"function"},{"doc":"Module for building out the actual data structure that will be generated in code. Each enzyme will be defined as a struct under the Bio.Restriction.Enzyme namespace. This struct will be populated with the minimal data needed for the use in digestion and sequence validations. Further additions to the data can be requested by opening an issue. The current data preserved are: blunt?: boolean cut_1: number cut_2: number cut_3: number cut_4: number name: string pattern: string","ref":"Mix.Tasks.Bio.Restriction.Build.html","title":"Mix.Tasks.Bio.Restriction.Build","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Bio.Restriction.Build.html#run/1","title":"Mix.Tasks.Bio.Restriction.Build.run/1","type":"function"},{"doc":"","ref":"Mix.Tasks.Bio.Restriction.Build.html#sourcify/1","title":"Mix.Tasks.Bio.Restriction.Build.sourcify/1","type":"function"},{"doc":"","ref":"Mix.Tasks.Bio.Restriction.Build.html#stringify/1","title":"Mix.Tasks.Bio.Restriction.Build.stringify/1","type":"function"},{"doc":"","ref":"Mix.Tasks.Bio.Restriction.Build.html#to_source/1","title":"Mix.Tasks.Bio.Restriction.Build.to_source/1","type":"function"},{"doc":"This runs a series of downloads to get the relevant files from REBASE These are used to generate the restriction enzyme data. Requires your email and a directory as the only arguments. The email is used for the download of the data through FTP from REBASE. The directory is where the files should be downloaded to.","ref":"Mix.Tasks.Bio.Restriction.Download.html","title":"Mix.Tasks.Bio.Restriction.Download","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Bio.Restriction.Download.html#run/1","title":"Mix.Tasks.Bio.Restriction.Download.run/1","type":"function"},{"doc":"Update the library of restriction enzymes according to REBASE data.","ref":"Mix.Tasks.Bio.Restriction.Update.html","title":"Mix.Tasks.Bio.Restriction.Update","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Bio.Restriction.Update.html#run/1","title":"Mix.Tasks.Bio.Restriction.Update.run/1","type":"function"}]